function [c2,res]=eulereq(c,c1,k,y,r1)

global gamma be dk ka P type

[nk,nz]=size(c);

k1=max(y-c,ka);

c1=interp1(k,c1,k1,type,'extrap');
c1=permute(permute(c1,[3 1 2]),[2 1 3]);

E1=zeros(nk,nz);
for z=1:nz
    E1(:,z)=(1./(c1(:,:,z).^gamma))*P(z,:)';
end

c2=min(1./((be*(1-dk+r1).*E1).^(1/gamma)),y);
res=c-c2;

end