clear
load results

lambdav=lambda(:);
K1v=K1(:);

lambda=sum(lambda,2);

avg=lambdav'*K1v;
sdev=sqrt(lambdav'*(K1v-avg).^2);
skew=(lambdav'*(K1v-avg).^3)/sdev^3;
kurt=(lambdav'*(K1v-avg).^4)/sdev^4-3;

disp('Statistics for overall population:')
disp(' ')
disp(['Average:    ' num2str(avg)]);
disp(['Std. Dev:   ' num2str(sdev)]);
disp(['Skewness:   ' num2str(skew)]);
disp(['Kurtosis:   ' num2str(kurt)]);
disp(['Share CC %: ' num2str(lambda(1,:)*100)]);
disp(['Gini on K:  ' num2str(gini(lambda,K))]);

subplot(2,1,1), plot(K,lambda,'LineWidth',2)
subplot(2,1,2), plot(K,cumsum(lambda),'LineWidth',2)